import { MsgClaim, MsgCreateReward, MsgUpdateParams } from "./tx";
export const registry = [["/gitopia.gitopia.rewards.MsgClaim", MsgClaim], ["/gitopia.gitopia.rewards.MsgCreateReward", MsgCreateReward], ["/gitopia.gitopia.rewards.MsgUpdateParams", MsgUpdateParams]];
export const load = protoRegistry => {
  registry.forEach(([typeUrl, mod]) => {
    protoRegistry.register(typeUrl, mod);
  });
};
export const MessageComposer = {
  encoded: {
    claim(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgClaim",
        value: MsgClaim.encode(value).finish()
      };
    },
    createReward(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgCreateReward",
        value: MsgCreateReward.encode(value).finish()
      };
    },
    updateParams(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgUpdateParams",
        value: MsgUpdateParams.encode(value).finish()
      };
    }
  },
  withTypeUrl: {
    claim(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgClaim",
        value
      };
    },
    createReward(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgCreateReward",
        value
      };
    },
    updateParams(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgUpdateParams",
        value
      };
    }
  },
  fromJSON: {
    claim(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgClaim",
        value: MsgClaim.fromJSON(value)
      };
    },
    createReward(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgCreateReward",
        value: MsgCreateReward.fromJSON(value)
      };
    },
    updateParams(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgUpdateParams",
        value: MsgUpdateParams.fromJSON(value)
      };
    }
  },
  fromPartial: {
    claim(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgClaim",
        value: MsgClaim.fromPartial(value)
      };
    },
    createReward(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgCreateReward",
        value: MsgCreateReward.fromPartial(value)
      };
    },
    updateParams(value) {
      return {
        typeUrl: "/gitopia.gitopia.rewards.MsgUpdateParams",
        value: MsgUpdateParams.fromPartial(value)
      };
    }
  }
};